#!/usr/bin/perl -w
###########################################
# SCRIPT NAME : cmihome.cgi
# DATE: Sep 2004
# VERSION: 1.0
# AUTHOR: Sarun Chinskul
# EMAIL: schinskul@crystalmckenzieinc.com
###########################################
#use lib "/home/httpd/vhosts/cminyc.com/httpdocs/admin";
use lib "/var/www/vhosts/cminyc.com/httpdocs/admin";
#chdir "/home/httpd/vhosts/cminyc.com/httpdocs/";
chdir "/var/www/vhosts/cminyc.com/httpdocs/";

use CGI;
use DBI;
use HTML::Template;
use cmiModule;
use strict;

########################
# Read Config.conf file
########################
my @info = &cmiModule::ReadConfig("config.conf");
########################
# Logfile config setup
########################
my %Log_Config;
   # Setting EasyLog is ON or OFF in config.conf file
   $Log_Config{SWITCH} = $info[0];
   $Log_Config{FILENAME} = $info[1];
   $Log_Config{MESSAGE} = "-------STARTED LOG [".$0."]-------";
   &cmiModule::EasyLog(\%Log_Config);
########################
# Database config setup
########################
my %DB;
   $DB{DATABASE} = $info[2];
   $DB{ACCOUNT}  = $info[3];
   $DB{PASSWORD} = $info[4];
my $dbh;
unless( $dbh = &cmiModule::ConnectToMySQL(\%DB) ) {
  $Log_Config{"MESSAGE"} = "Bad DBH from ConnectToMySQL.";
  &cmiModule::EasyLog(\%Log_Config);
  print "Content-type:text/html\n\n";
  print "<b>Bad DBH from ConnectToMySQL.</b>";
  exit;
}
###### End config ######

my $cgi = new CGI;

my %HOMEINFO;
   $HOMEINFO{cmihome_template} = HTML::Template->new(filename => 'tmpl/cmihome.tmpl');

&cmihome(\%HOMEINFO);

1;

sub cmihome {
    my ($params_hashref) = @_;
                                                                                                                             
    my %params_hash      = %{ $params_hashref };
    my $cmihome_template = $params_hash{cmihome_template};

    my ($sql_1,$sql_2,$sql_3,$sql_4);
       $sql_1 = "SELECT I.cmiImageName";
       $sql_2 = "SELECT count(I.cmiImageName)";

       $sql_4 = "SELECT C.cmiContentText";
 
    my $sql_share = " From cmiImages    I";
       $sql_share .= "     ,cmiContents C";
       $sql_share .= " Where I.cmiContentID = C.cmiContentID";
       $sql_share .= " And C.cmiContentTitle = 'CMI home page'";
       $sql_share .= " And C.cmiContentType = 'gencontent'";
       $sql_share .= " And I.Active = '1'";
       
    my $sql_firstpic = " Order By rand() Limit 1";
    
    $sql_3 = $sql_1.$sql_share;    
    $sql_1 = $sql_1.$sql_share.$sql_firstpic;
    $sql_2 = $sql_2.$sql_share; 
      
    $sql_4 = $sql_4.$sql_share;

    my $cmihomeimages = $dbh->selectrow_array($sql_1);
    my $all_pic = $dbh->selectrow_array($sql_2);    
    my $rec = $dbh->prepare($sql_3);
       $rec->execute;
    my ($i,@cmilistimages,$javascript,$first_img,$prev_img,$next_img,$last_img); 
       $i = 0; while( @cmilistimages = $rec->fetchrow ) { 
                $i++;  if ( $i == 1 ) {                
                            $first_img = $cmilistimages[0];
                            $next_img = $first_img;
                       } elsif ( $i == 2 ) { 
                            $prev_img = $next_img;
                            $next_img = $cmilistimages[0];
                            $javascript = qq{ if ( pic_var == \"$prev_img\" ) \{ pic_var = \"$next_img\" \}\n};
                       } elsif ( $i > 2 && $i < $all_pic ) {
                            $prev_img = $next_img;
                            $next_img = $cmilistimages[0]; 
                            $javascript .= qq{ else if ( pic_var == \"$prev_img\" ) \{ pic_var = \"$next_img\" \}\n};
                       } elsif ( $i == $all_pic ) {
                            $prev_img = $next_img;
                            $last_img = $cmilistimages[0]; 
                            $javascript .= qq{ else if ( pic_var == \"$prev_img\" ) \{ pic_var = \"$last_img\" \}\n};
                            $javascript .= qq{ else if ( pic_var == \"$last_img\" ) \{ pic_var = \"$first_img\" \}\n};
                       }  
                $Log_Config{MESSAGE} = "\npicname$i : $cmilistimages[0]\n";
                &cmiModule::EasyLog(\%Log_Config);
               }
     my $cmihometext = $dbh->selectrow_array($sql_4);  
    
 
    $Log_Config{MESSAGE} = "SQL_1 : $sql_1\n\n";
    $Log_Config{MESSAGE} .= "SQL_2 : $sql_2\n";
    $Log_Config{MESSAGE} .= "ALL_PIC : $all_pic\n\n";
    $Log_Config{MESSAGE} .= "SQL_3 : $sql_3\n\n";
    $Log_Config{MESSAGE} .= "javascript : $javascript\n\n";
    $Log_Config{MESSAGE} .= "SQL_4 : $sql_4\n";
    &cmiModule::EasyLog(\%Log_Config);

    $cmihome_template->param(javascript => $javascript);
    $cmihome_template->param(cmihomeimages => $cmihomeimages);
    $cmihome_template->param(cmihometext => $cmihometext);

print "Content-type:text/html\n\n";
print $cmihome_template->output;

}


